//light dummies
singleton Material(miramar_hopper_taillight)
{
    mapTo = "miramar_hopper_taillight";   
};
singleton Material(miramar_hopper_reverselight)
{
    mapTo = "miramar_hopper_reverselight";
};
singleton Material(miramar_hopper_signal_L)
{
    mapTo = "miramar_hopper_signal_L";
};
singleton Material(miramar_hopper_signal_R)
{
    mapTo = "miramar_hopper_signal_R";
};

//actual taillight materials
singleton Material(miramar_hopper_lights)
{
    mapTo = "miramar_hopper_lights";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_dmg)
{
    mapTo = "miramar_hopper_lights_dmg";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_dmg_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_dmg_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_on)
{
    mapTo = "miramar_hopper_lights_on";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.2";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_on_intense)
{
    mapTo = "miramar_hopper_lights_on_intense";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
//for twin taillights turn signals
singleton Material(miramar_hopper_lights_orange)
{
    mapTo = "miramar_hopper_lights_orange";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "2 1.5 0 1";//orange-ish
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_orange_dmg)//not in use?
{
    mapTo = "miramar_hopper_lights_orange_dmg";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_dmg_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_dmg_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "2 1.5 0 1";//orange-ish
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_orange_on)
{
    mapTo = "miramar_hopper_lights_orange_on";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 0.6 0 1";//orange-ish
    diffuseColor[2] = "1 0.6 0 1";//orange-ish
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_hopper_lights_orange_on_intense)//not in use?
{
    mapTo = "miramar_hopper_lights_orange_on_intense";
    diffuseMap[2] = "vehicles/hopper/hopper_lights_g.dds";
    specularMap[2] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_lights_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_lights_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 0.6 0 1";//orange-ish
    diffuseColor[2] = "1 0.6 0 0.6";//orange-ish
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    //glow[1] = "1";
    //emissive[1] = "1";
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
//for turbos
singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};